{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "GGG",
    "GMG",
    "GGG"
  ],
  "key": {
    "M": {
      "item": "tconstruct:obsidian_pane"
    },
    "G": {
      "tag": "forge:glass"
    }
  },
  "result": {
    "item": "ironchest:diamond_to_crystal_chest_upgrade"
  }
}